<?xml version="1.0" encoding="UTF-8"?>
<model ref="r:c0db19d3-6d01-40b1-8e0a-77b714a3821d(umlfondsl.intentions)">
  <persistence version="9" />
  <languages>
    <use id="d7a92d38-f7db-40d0-8431-763b0c3c9f20" name="jetbrains.mps.lang.intentions" version="0" />
    <devkit ref="2677cb18-f558-4e33-bc38-a5139cee06dc(jetbrains.mps.devkit.language-design)" />
  </languages>
  <imports>
    <import index="1rwu" ref="r:cafab475-9eb4-42a9-a9cd-e22edaa53e7c(umlfondsl.structure)" implicit="true" />
    <import index="tpck" ref="r:00000000-0000-4000-0000-011c89590288(jetbrains.mps.lang.core.structure)" implicit="true" />
  </imports>
  <registry>
    <language id="f3061a53-9226-4cc5-a443-f952ceaf5816" name="jetbrains.mps.baseLanguage">
      <concept id="1215693861676" name="jetbrains.mps.baseLanguage.structure.BaseAssignmentExpression" flags="nn" index="d038R">
        <child id="1068498886297" name="rValue" index="37vLTx" />
        <child id="1068498886295" name="lValue" index="37vLTJ" />
      </concept>
      <concept id="4836112446988635817" name="jetbrains.mps.baseLanguage.structure.UndefinedType" flags="in" index="2jxLKc" />
      <concept id="1197027756228" name="jetbrains.mps.baseLanguage.structure.DotExpression" flags="nn" index="2OqwBi">
        <child id="1197027771414" name="operand" index="2Oq$k0" />
        <child id="1197027833540" name="operation" index="2OqNvi" />
      </concept>
      <concept id="1145552977093" name="jetbrains.mps.baseLanguage.structure.GenericNewExpression" flags="nn" index="2ShNRf">
        <child id="1145553007750" name="creator" index="2ShVmc" />
      </concept>
      <concept id="1137021947720" name="jetbrains.mps.baseLanguage.structure.ConceptFunction" flags="in" index="2VMwT0">
        <child id="1137022507850" name="body" index="2VODD2" />
      </concept>
      <concept id="1070475926800" name="jetbrains.mps.baseLanguage.structure.StringLiteral" flags="nn" index="Xl_RD">
        <property id="1070475926801" name="value" index="Xl_RC" />
      </concept>
      <concept id="1068431474542" name="jetbrains.mps.baseLanguage.structure.VariableDeclaration" flags="ng" index="33uBYm">
        <child id="1068431790190" name="initializer" index="33vP2m" />
      </concept>
      <concept id="1068498886296" name="jetbrains.mps.baseLanguage.structure.VariableReference" flags="nn" index="37vLTw">
        <reference id="1068581517664" name="variableDeclaration" index="3cqZAo" />
      </concept>
      <concept id="1068498886294" name="jetbrains.mps.baseLanguage.structure.AssignmentExpression" flags="nn" index="37vLTI" />
      <concept id="4972933694980447171" name="jetbrains.mps.baseLanguage.structure.BaseVariableDeclaration" flags="ng" index="19Szcq">
        <child id="5680397130376446158" name="type" index="1tU5fm" />
      </concept>
      <concept id="1068580123155" name="jetbrains.mps.baseLanguage.structure.ExpressionStatement" flags="nn" index="3clFbF">
        <child id="1068580123156" name="expression" index="3clFbG" />
      </concept>
      <concept id="1068580123157" name="jetbrains.mps.baseLanguage.structure.Statement" flags="nn" index="3clFbH" />
      <concept id="1068580123136" name="jetbrains.mps.baseLanguage.structure.StatementList" flags="sn" stub="5293379017992965193" index="3clFbS">
        <child id="1068581517665" name="statement" index="3cqZAp" />
      </concept>
      <concept id="1068580320020" name="jetbrains.mps.baseLanguage.structure.IntegerConstant" flags="nn" index="3cmrfG">
        <property id="1068580320021" name="value" index="3cmrfH" />
      </concept>
      <concept id="1068581242875" name="jetbrains.mps.baseLanguage.structure.PlusExpression" flags="nn" index="3cpWs3" />
      <concept id="1068581242864" name="jetbrains.mps.baseLanguage.structure.LocalVariableDeclarationStatement" flags="nn" index="3cpWs8">
        <child id="1068581242865" name="localVariableDeclaration" index="3cpWs9" />
      </concept>
      <concept id="1068581242863" name="jetbrains.mps.baseLanguage.structure.LocalVariableDeclaration" flags="nr" index="3cpWsn" />
      <concept id="1079359253375" name="jetbrains.mps.baseLanguage.structure.ParenthesizedExpression" flags="nn" index="1eOMI4">
        <child id="1079359253376" name="expression" index="1eOMHV" />
      </concept>
      <concept id="1081773326031" name="jetbrains.mps.baseLanguage.structure.BinaryOperation" flags="nn" index="3uHJSO">
        <child id="1081773367579" name="rightExpression" index="3uHU7w" />
        <child id="1081773367580" name="leftExpression" index="3uHU7B" />
      </concept>
      <concept id="5497648299878491908" name="jetbrains.mps.baseLanguage.structure.BaseVariableReference" flags="nn" index="1M0zk4">
        <reference id="5497648299878491909" name="baseVariableDeclaration" index="1M0zk5" />
      </concept>
    </language>
    <language id="d7a92d38-f7db-40d0-8431-763b0c3c9f20" name="jetbrains.mps.lang.intentions">
      <concept id="1192794744107" name="jetbrains.mps.lang.intentions.structure.IntentionDeclaration" flags="ig" index="2S6QgY" />
      <concept id="1192794782375" name="jetbrains.mps.lang.intentions.structure.DescriptionBlock" flags="in" index="2S6ZIM" />
      <concept id="1192795911897" name="jetbrains.mps.lang.intentions.structure.ExecuteBlock" flags="in" index="2Sbjvc" />
      <concept id="1192796902958" name="jetbrains.mps.lang.intentions.structure.ConceptFunctionParameter_node" flags="nn" index="2Sf5sV" />
      <concept id="2522969319638091381" name="jetbrains.mps.lang.intentions.structure.BaseIntentionDeclaration" flags="ig" index="2ZfUlf">
        <reference id="2522969319638198290" name="forConcept" index="2ZfgGC" />
        <child id="2522969319638198291" name="executeFunction" index="2ZfgGD" />
        <child id="2522969319638093993" name="descriptionFunction" index="2ZfVej" />
      </concept>
    </language>
    <language id="7866978e-a0f0-4cc7-81bc-4d213d9375e1" name="jetbrains.mps.lang.smodel">
      <concept id="1883223317721008708" name="jetbrains.mps.lang.smodel.structure.IfInstanceOfStatement" flags="nn" index="Jncv_">
        <reference id="1883223317721008712" name="nodeConcept" index="JncvD" />
        <child id="1883223317721008709" name="body" index="Jncv$" />
        <child id="1883223317721008711" name="variable" index="JncvA" />
        <child id="1883223317721008710" name="nodeExpression" index="JncvB" />
      </concept>
      <concept id="1883223317721008713" name="jetbrains.mps.lang.smodel.structure.IfInstanceOfVariable" flags="ng" index="JncvC" />
      <concept id="1883223317721107059" name="jetbrains.mps.lang.smodel.structure.IfInstanceOfVarReference" flags="nn" index="Jnkvi" />
      <concept id="1180636770613" name="jetbrains.mps.lang.smodel.structure.SNodeCreator" flags="nn" index="3zrR0B">
        <child id="1180636770616" name="createdType" index="3zrR0E" />
      </concept>
      <concept id="1138055754698" name="jetbrains.mps.lang.smodel.structure.SNodeType" flags="in" index="3Tqbb2">
        <reference id="1138405853777" name="concept" index="ehGHo" />
      </concept>
      <concept id="1138056022639" name="jetbrains.mps.lang.smodel.structure.SPropertyAccess" flags="nn" index="3TrcHB">
        <reference id="1138056395725" name="property" index="3TsBF5" />
      </concept>
      <concept id="1138056143562" name="jetbrains.mps.lang.smodel.structure.SLinkAccess" flags="nn" index="3TrEf2">
        <reference id="1138056516764" name="link" index="3Tt5mk" />
      </concept>
      <concept id="1138056282393" name="jetbrains.mps.lang.smodel.structure.SLinkListAccess" flags="nn" index="3Tsc0h">
        <reference id="1138056546658" name="link" index="3TtcxE" />
      </concept>
    </language>
    <language id="ceab5195-25ea-4f22-9b92-103b95ca8c0c" name="jetbrains.mps.lang.core">
      <concept id="1169194658468" name="jetbrains.mps.lang.core.structure.INamedConcept" flags="ng" index="TrEIO">
        <property id="1169194664001" name="name" index="TrG5h" />
      </concept>
    </language>
    <language id="83888646-71ce-4f1c-9c53-c54016f6ad4f" name="jetbrains.mps.baseLanguage.collections">
      <concept id="540871147943773365" name="jetbrains.mps.baseLanguage.collections.structure.SingleArgumentSequenceOperation" flags="nn" index="25WWJ4">
        <child id="540871147943773366" name="argument" index="25WWJ7" />
      </concept>
      <concept id="1160612413312" name="jetbrains.mps.baseLanguage.collections.structure.AddElementOperation" flags="nn" index="TSZUe" />
      <concept id="1162935959151" name="jetbrains.mps.baseLanguage.collections.structure.GetSizeOperation" flags="nn" index="34oBXx" />
    </language>
  </registry>
  <node concept="2S6QgY" id="4u2Dki_y$Z">
    <property role="TrG5h" value="createBooleanAttribute" />
    <ref role="2ZfgGC" to="1rwu:64jq4uVsNMK" resolve="ClassDSL" />
    <node concept="2S6ZIM" id="4u2Dki_y_0" role="2ZfVej">
      <node concept="3clFbS" id="4u2Dki_y_1" role="2VODD2">
        <node concept="3clFbF" id="4u2Dki_zAH" role="3cqZAp">
          <node concept="Xl_RD" id="4u2Dki_zAG" role="3clFbG">
            <property role="Xl_RC" value="Create Boolean Attribute" />
          </node>
        </node>
      </node>
    </node>
    <node concept="2Sbjvc" id="4u2Dki_y_2" role="2ZfgGD">
      <node concept="3clFbS" id="4u2Dki_y_3" role="2VODD2">
        <node concept="Jncv_" id="4u2DkiAwvF" role="3cqZAp">
          <ref role="JncvD" to="1rwu:64jq4uVsNMK" resolve="ClassDSL" />
          <node concept="2Sf5sV" id="4u2DkiAx6J" role="JncvB" />
          <node concept="3clFbS" id="4u2DkiAwvJ" role="Jncv$">
            <node concept="3cpWs8" id="4u2Dki_AgQ" role="3cqZAp">
              <node concept="3cpWsn" id="4u2Dki_AgT" role="3cpWs9">
                <property role="TrG5h" value="newAttributeDSL" />
                <node concept="3Tqbb2" id="4u2Dki_AgO" role="1tU5fm">
                  <ref role="ehGHo" to="1rwu:64jq4uVsNML" resolve="AttributeDSL" />
                </node>
                <node concept="2ShNRf" id="4u2Dki_AiX" role="33vP2m">
                  <node concept="3zrR0B" id="4u2Dki_AiV" role="2ShVmc">
                    <node concept="3Tqbb2" id="4u2Dki_AiW" role="3zrR0E">
                      <ref role="ehGHo" to="1rwu:64jq4uVsNML" resolve="AttributeDSL" />
                    </node>
                  </node>
                </node>
              </node>
            </node>
            <node concept="3clFbH" id="1iPzs07ZQNL" role="3cqZAp" />
            <node concept="3clFbF" id="4u2DkiA5KW" role="3cqZAp">
              <node concept="37vLTI" id="4u2DkiA778" role="3clFbG">
                <node concept="3cpWs3" id="4u2DkiA7EV" role="37vLTx">
                  <node concept="Xl_RD" id="4u2DkiA79S" role="3uHU7B">
                    <property role="Xl_RC" value="attribute" />
                  </node>
                  <node concept="1eOMI4" id="4u2DkiAaDQ" role="3uHU7w">
                    <node concept="3cpWs3" id="4u2DkiA9F8" role="1eOMHV">
                      <node concept="2OqwBi" id="4u2DkiA1mg" role="3uHU7B">
                        <node concept="34oBXx" id="4u2DkiA5eq" role="2OqNvi" />
                        <node concept="2OqwBi" id="4u2DkiA_Ke" role="2Oq$k0">
                          <node concept="Jnkvi" id="4u2DkiA_jA" role="2Oq$k0">
                            <ref role="1M0zk5" node="4u2DkiAwvL" resolve="cl" />
                          </node>
                          <node concept="3Tsc0h" id="4u2DkiAAz5" role="2OqNvi">
                            <ref role="3TtcxE" to="1rwu:64jq4uVsR7N" resolve="attributes" />
                          </node>
                        </node>
                      </node>
                      <node concept="3cmrfG" id="4u2DkiA9Qb" role="3uHU7w">
                        <property role="3cmrfH" value="1" />
                      </node>
                    </node>
                  </node>
                </node>
                <node concept="2OqwBi" id="4u2DkiA67d" role="37vLTJ">
                  <node concept="37vLTw" id="1iPzs07ZRrg" role="2Oq$k0">
                    <ref role="3cqZAo" node="4u2Dki_AgT" resolve="newAttributeDSL" />
                  </node>
                  <node concept="3TrcHB" id="4u2DkiA6tB" role="2OqNvi">
                    <ref role="3TsBF5" to="tpck:h0TrG11" resolve="name" />
                  </node>
                </node>
              </node>
            </node>
            <node concept="3clFbF" id="4u2Dki_AjW" role="3cqZAp">
              <node concept="37vLTI" id="4u2Dki_B9L" role="3clFbG">
                <node concept="2ShNRf" id="4u2Dki_Bh$" role="37vLTx">
                  <node concept="3zrR0B" id="4u2Dki_Bse" role="2ShVmc">
                    <node concept="3Tqbb2" id="4u2Dki_Bsg" role="3zrR0E">
                      <ref role="ehGHo" to="1rwu:zRB1rsCOIF" resolve="LogicalTypeDSL" />
                    </node>
                  </node>
                </node>
                <node concept="2OqwBi" id="4u2Dki_AtR" role="37vLTJ">
                  <node concept="37vLTw" id="1iPzs07ZROd" role="2Oq$k0">
                    <ref role="3cqZAo" node="4u2Dki_AgT" resolve="newAttributeDSL" />
                  </node>
                  <node concept="3TrEf2" id="4u2Dki_AOk" role="2OqNvi">
                    <ref role="3Tt5mk" to="1rwu:64jq4uVsW9d" resolve="type" />
                  </node>
                </node>
              </node>
            </node>
            <node concept="3clFbF" id="4u2Dki_IGJ" role="3cqZAp">
              <node concept="2OqwBi" id="4u2Dki_KTE" role="3clFbG">
                <node concept="2OqwBi" id="4u2Dki_IOr" role="2Oq$k0">
                  <node concept="2Sf5sV" id="4u2Dki_IGH" role="2Oq$k0" />
                  <node concept="3Tsc0h" id="4u2Dki_Jbt" role="2OqNvi">
                    <ref role="3TtcxE" to="1rwu:64jq4uVsR7N" resolve="attributes" />
                  </node>
                </node>
                <node concept="TSZUe" id="4u2Dki_OL7" role="2OqNvi">
                  <node concept="37vLTw" id="4u2Dki_OZg" role="25WWJ7">
                    <ref role="3cqZAo" node="4u2Dki_AgT" resolve="newAttributeDSL" />
                  </node>
                </node>
              </node>
            </node>
          </node>
          <node concept="JncvC" id="4u2DkiAwvL" role="JncvA">
            <property role="TrG5h" value="cl" />
            <node concept="2jxLKc" id="4u2DkiAwvM" role="1tU5fm" />
          </node>
        </node>
        <node concept="3clFbH" id="4u2Dki_Xce" role="3cqZAp" />
      </node>
    </node>
  </node>
</model>

